PETSc version 3.15.5
Fix/Edit manual page

# DMPlexSetOptionsPrefix

Sets the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetOptionsPrefix(DM dm, const char prefix[])

Logically Collective on dm

### Input Parameters

| dm | - the DM context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

SNESSetFromOptions()

### Level

advanced

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages